# ATAnyURIOrDerived Class Reference

`#include <ATAnyURIOrDerived.hpp>`

Inheritance diagram for ATAnyURIOrDerived:

[legend]
List of all members.

## Public Member Functions

virtual const XMLCh * | getPrimitiveTypeName () const =0
virtual const XMLCh * | getTypeURI () const =0
virtual const XMLCh * | getTypeName () const =0
virtual const XMLCh * | asString (const DynamicContext *context) const =0
virtual bool | equals (const AnyAtomicType::Ptr &target, const DynamicContext *context) const =0
virtual AnyAtomicType::AtomicObjectType | getPrimitiveTypeIndex () const =0

## Member Function Documentation

virtual const XMLCh* ATAnyURIOrDerived::asString | ( | const DynamicContext * | context | ) | const`[pure virtual]`

| Implements AnyAtomicType.

virtual bool ATAnyURIOrDerived::equals | ( | const AnyAtomicType::Ptr & | target,
|  | const DynamicContext * | context
| ) | const`[pure virtual]`

| Implements AnyAtomicType.

virtual AnyAtomicType::AtomicObjectType ATAnyURIOrDerived::getPrimitiveTypeIndex | ( |  | ) | const`[pure virtual]`

| Implements AnyAtomicType.

virtual const XMLCh* ATAnyURIOrDerived::getPrimitiveTypeName | ( |  | ) | const`[pure virtual]`

| Implements AnyAtomicType.

virtual const XMLCh* ATAnyURIOrDerived::getTypeName | ( |  | ) | const`[pure virtual]`

| Implements AnyAtomicType.

virtual const XMLCh* ATAnyURIOrDerived::getTypeURI | ( |  | ) | const`[pure virtual]`

| Implements AnyAtomicType.

The documentation for this class was generated from the following file:

- ATAnyURIOrDerived.hpp